Develop and Download Open Source Software

Browse CVS Repository

Diff of /xoonips/AL/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.6 by orrisroot, Mon May 30 04:41:17 2005 UTC revision 1.7 by orrisroot, Wed Jul 6 10:50:51 2005 UTC
# Line 1040  Optional Features: Line 1040  Optional Features:
1040                            optimize for fast installation [default=yes]                            optimize for fast installation [default=yes]
1041    --disable-libtool-lock  avoid locking (might break parallel builds)    --disable-libtool-lock  avoid locking (might break parallel builds)
1042    --disable-xmltest       Do not try to compile and run a test LIBXML program    --disable-xmltest       Do not try to compile and run a test LIBXML program
1043      --disable-xml-query-bug-version-check
1044                              disable version check of GET query bug for
1045                              libxml2-2.6.19
1046    --enable-syslog         Enable logging to syslog    --enable-syslog         Enable logging to syslog
1047    
1048  Optional Packages:  Optional Packages:
# Line 4459  ia64-*-hpux*) Line 4462  ia64-*-hpux*)
4462    ;;    ;;
4463  *-*-irix6*)  *-*-irix6*)
4464    # Find out which ABI we are using.    # Find out which ABI we are using.
4465    echo '#line 4462 "configure"' > conftest.$ac_ext    echo '#line 4465 "configure"' > conftest.$ac_ext
4466    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4467    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
4468    ac_status=$?    ac_status=$?
# Line 5300  fi Line 5303  fi
5303    
5304    
5305  # Provide some information about the compiler.  # Provide some information about the compiler.
5306  echo "$as_me:5303:" \  echo "$as_me:5306:" \
5307       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
5308  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
5309  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 6305  else Line 6308  else
6308     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6309     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6310     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6311     (eval echo "\"\$as_me:6308: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6311: $lt_compile\"" >&5)
6312     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6313     ac_status=$?     ac_status=$?
6314     cat conftest.err >&5     cat conftest.err >&5
6315     echo "$as_me:6312: \$? = $ac_status" >&5     echo "$as_me:6315: \$? = $ac_status" >&5
6316     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6317       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6318       # So say no if there are warnings       # So say no if there are warnings
# Line 6552  else Line 6555  else
6555     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6556     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6557     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6558     (eval echo "\"\$as_me:6555: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6558: $lt_compile\"" >&5)
6559     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6560     ac_status=$?     ac_status=$?
6561     cat conftest.err >&5     cat conftest.err >&5
6562     echo "$as_me:6559: \$? = $ac_status" >&5     echo "$as_me:6562: \$? = $ac_status" >&5
6563     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6564       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6565       # So say no if there are warnings       # So say no if there are warnings
# Line 6619  else Line 6622  else
6622     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
6623     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6624     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6625     (eval echo "\"\$as_me:6622: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6625: $lt_compile\"" >&5)
6626     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
6627     ac_status=$?     ac_status=$?
6628     cat out/conftest.err >&5     cat out/conftest.err >&5
6629     echo "$as_me:6626: \$? = $ac_status" >&5     echo "$as_me:6629: \$? = $ac_status" >&5
6630     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
6631     then     then
6632       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 7984  linux*) Line 7987  linux*)
7987    libsuff=    libsuff=
7988    case "$host_cpu" in    case "$host_cpu" in
7989    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
7990      echo '#line 7987 "configure"' > conftest.$ac_ext      echo '#line 7990 "configure"' > conftest.$ac_ext
7991      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7992    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
7993    ac_status=$?    ac_status=$?
# Line 8680  else Line 8683  else
8683    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8684    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8685    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8686  #line 8683 "configure"  #line 8686 "configure"
8687  #include "confdefs.h"  #include "confdefs.h"
8688    
8689  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 8778  else Line 8781  else
8781    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8782    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8783    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8784  #line 8781 "configure"  #line 8784 "configure"
8785  #include "confdefs.h"  #include "confdefs.h"
8786    
8787  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 10958  else Line 10961  else
10961     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10962     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10963     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10964     (eval echo "\"\$as_me:10961: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10964: $lt_compile\"" >&5)
10965     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
10966     ac_status=$?     ac_status=$?
10967     cat conftest.err >&5     cat conftest.err >&5
10968     echo "$as_me:10965: \$? = $ac_status" >&5     echo "$as_me:10968: \$? = $ac_status" >&5
10969     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
10970       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
10971       # So say no if there are warnings       # So say no if there are warnings
# Line 11025  else Line 11028  else
11028     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
11029     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11030     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
11031     (eval echo "\"\$as_me:11028: $lt_compile\"" >&5)     (eval echo "\"\$as_me:11031: $lt_compile\"" >&5)
11032     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
11033     ac_status=$?     ac_status=$?
11034     cat out/conftest.err >&5     cat out/conftest.err >&5
11035     echo "$as_me:11032: \$? = $ac_status" >&5     echo "$as_me:11035: \$? = $ac_status" >&5
11036     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
11037     then     then
11038       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 11596  linux*) Line 11599  linux*)
11599    libsuff=    libsuff=
11600    case "$host_cpu" in    case "$host_cpu" in
11601    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
11602      echo '#line 11599 "configure"' > conftest.$ac_ext      echo '#line 11602 "configure"' > conftest.$ac_ext
11603      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11604    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
11605    ac_status=$?    ac_status=$?
# Line 12292  else Line 12295  else
12295    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12296    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
12297    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
12298  #line 12295 "configure"  #line 12298 "configure"
12299  #include "confdefs.h"  #include "confdefs.h"
12300    
12301  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 12390  else Line 12393  else
12393    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12394    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
12395    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
12396  #line 12393 "configure"  #line 12396 "configure"
12397  #include "confdefs.h"  #include "confdefs.h"
12398    
12399  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 13227  else Line 13230  else
13230     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
13231     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13232     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13233     (eval echo "\"\$as_me:13230: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13233: $lt_compile\"" >&5)
13234     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
13235     ac_status=$?     ac_status=$?
13236     cat conftest.err >&5     cat conftest.err >&5
13237     echo "$as_me:13234: \$? = $ac_status" >&5     echo "$as_me:13237: \$? = $ac_status" >&5
13238     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
13239       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
13240       # So say no if there are warnings       # So say no if there are warnings
# Line 13294  else Line 13297  else
13297     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
13298     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13299     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13300     (eval echo "\"\$as_me:13297: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13300: $lt_compile\"" >&5)
13301     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
13302     ac_status=$?     ac_status=$?
13303     cat out/conftest.err >&5     cat out/conftest.err >&5
13304     echo "$as_me:13301: \$? = $ac_status" >&5     echo "$as_me:13304: \$? = $ac_status" >&5
13305     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
13306     then     then
13307       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 14637  linux*) Line 14640  linux*)
14640    libsuff=    libsuff=
14641    case "$host_cpu" in    case "$host_cpu" in
14642    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
14643      echo '#line 14640 "configure"' > conftest.$ac_ext      echo '#line 14643 "configure"' > conftest.$ac_ext
14644      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
14645    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
14646    ac_status=$?    ac_status=$?
# Line 15283  else Line 15286  else
15286     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15287     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15288     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15289     (eval echo "\"\$as_me:15286: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15289: $lt_compile\"" >&5)
15290     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15291     ac_status=$?     ac_status=$?
15292     cat conftest.err >&5     cat conftest.err >&5
15293     echo "$as_me:15290: \$? = $ac_status" >&5     echo "$as_me:15293: \$? = $ac_status" >&5
15294     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15295       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15296       # So say no if there are warnings       # So say no if there are warnings
# Line 15530  else Line 15533  else
15533     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15534     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15535     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15536     (eval echo "\"\$as_me:15533: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15536: $lt_compile\"" >&5)
15537     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15538     ac_status=$?     ac_status=$?
15539     cat conftest.err >&5     cat conftest.err >&5
15540     echo "$as_me:15537: \$? = $ac_status" >&5     echo "$as_me:15540: \$? = $ac_status" >&5
15541     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15542       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15543       # So say no if there are warnings       # So say no if there are warnings
# Line 15597  else Line 15600  else
15600     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
15601     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15602     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15603     (eval echo "\"\$as_me:15600: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15603: $lt_compile\"" >&5)
15604     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
15605     ac_status=$?     ac_status=$?
15606     cat out/conftest.err >&5     cat out/conftest.err >&5
15607     echo "$as_me:15604: \$? = $ac_status" >&5     echo "$as_me:15607: \$? = $ac_status" >&5
15608     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
15609     then     then
15610       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 16962  linux*) Line 16965  linux*)
16965    libsuff=    libsuff=
16966    case "$host_cpu" in    case "$host_cpu" in
16967    x86_64*|s390x*|powerpc64*)    x86_64*|s390x*|powerpc64*)
16968      echo '#line 16965 "configure"' > conftest.$ac_ext      echo '#line 16968 "configure"' > conftest.$ac_ext
16969      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5      if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
16970    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
16971    ac_status=$?    ac_status=$?
# Line 17658  else Line 17661  else
17661    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
17662    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
17663    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
17664  #line 17661 "configure"  #line 17664 "configure"
17665  #include "confdefs.h"  #include "confdefs.h"
17666    
17667  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 17756  else Line 17759  else
17759    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
17760    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
17761    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
17762  #line 17759 "configure"  #line 17762 "configure"
17763  #include "confdefs.h"  #include "confdefs.h"
17764    
17765  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 18841  else Line 18844  else
18844  echo "${ECHO_T}no" >&6  echo "${ECHO_T}no" >&6
18845  fi  fi
18846    
18847      min_xml_version=2.0.0
18848      echo "$as_me:$LINENO: checking for libxml - version >= $min_xml_version" >&5
18849    echo $ECHO_N "checking for libxml - version >= $min_xml_version... $ECHO_C" >&6
18850      no_xml=""
18851      if test "$XML2_CONFIG" = "no" ; then
18852        no_xml=yes
18853      else
18854        XML_CPPFLAGS=`$XML2_CONFIG $xml_config_args --cflags`
18855        XML_LIBS=`$XML2_CONFIG $xml_config_args --libs`
18856        xml_config_major_version=`$XML2_CONFIG $xml_config_args --version | \
18857               sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
18858        xml_config_minor_version=`$XML2_CONFIG $xml_config_args --version | \
18859               sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
18860        xml_config_micro_version=`$XML2_CONFIG $xml_config_args --version | \
18861               sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
18862        if test "x$enable_xmltest" = "xyes" ; then
18863          ac_save_CPPFLAGS="$CPPFLAGS"
18864          ac_save_LIBS="$LIBS"
18865          CPPFLAGS="$CPPFLAGS $XML_CPPFLAGS"
18866          LIBS="$XML_LIBS $LIBS"
18867          rm -f conf.xmltest
18868          if test "$cross_compiling" = yes; then
18869      echo $ac_n "cross compiling; assumed OK... $ac_c"
18870    else
18871      cat >conftest.$ac_ext <<_ACEOF
18872    #line $LINENO "configure"
18873    /* confdefs.h.  */
18874    _ACEOF
18875    cat confdefs.h >>conftest.$ac_ext
18876    cat >>conftest.$ac_ext <<_ACEOF
18877    /* end confdefs.h.  */
18878    
18879    #include <stdlib.h>
18880    #include <stdio.h>
18881    #include <string.h>
18882    #include <libxml/xmlversion.h>
18883    
18884    int
18885    main()
18886    {
18887      int xml_major_version, xml_minor_version, xml_micro_version;
18888      int major, minor, micro;
18889      char *tmp_version;
18890    
18891      system("touch conf.xmltest");
18892    
18893      /* Capture xml2-config output via autoconf/configure variables */
18894      /* HP/UX 9 (%@#!) writes to sscanf strings */
18895      tmp_version = (char *)strdup("$min_xml_version");
18896      if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
18897         printf("%s, bad version string from xml2-config\n", "$min_xml_version");
18898         exit(1);
18899       }
18900       free(tmp_version);
18901    
18902       /* Capture the version information from the header files */
18903       tmp_version = (char *)strdup(LIBXML_DOTTED_VERSION);
18904       if (sscanf(tmp_version, "%d.%d.%d", &xml_major_version, &xml_minor_version, &xml_micro_version) != 3) {
18905         printf("%s, bad version string from libxml includes\n", "LIBXML_DOTTED_VERSION");
18906         exit(1);
18907       }
18908       free(tmp_version);
18909    
18910     /* Compare xml2-config output to the libxml headers */
18911      if ((xml_major_version != $xml_config_major_version) ||
18912          (xml_minor_version != $xml_config_minor_version) ||
18913          (xml_micro_version != $xml_config_micro_version))
18914        {
18915          printf("*** libxml header files (version %d.%d.%d) do not match\n",
18916             xml_major_version, xml_minor_version, xml_micro_version);
18917          printf("*** xml2-config (version %d.%d.%d)\n",
18918             $xml_config_major_version, $xml_config_minor_version, $xml_config_micro_version);
18919          return 1;
18920        }
18921    /* Compare the headers to the library to make sure we match */
18922      /* Less than ideal -- doesn't provide us with return value feedback,
18923       * only exits if there's a serious mismatch between header and library.
18924       */
18925        LIBXML_TEST_VERSION;
18926    
18927        /* Test that the library is greater than our minimum version */
18928        if ((xml_major_version > major) ||
18929            ((xml_major_version == major) && (xml_minor_version > minor)) ||
18930            ((xml_major_version == major) && (xml_minor_version == minor) &&
18931            (xml_micro_version >= micro)))
18932          {
18933            return 0;
18934           }
18935         else
18936          {
18937            printf("\n*** An old version of libxml (%d.%d.%d) was found.\n",
18938                   xml_major_version, xml_minor_version, xml_micro_version);
18939            printf("*** You need a version of libxml newer than %d.%d.%d. The latest version of\n",
18940               major, minor, micro);
18941            printf("*** libxml is always available from ftp://ftp.xmlsoft.org.\n");
18942            printf("***\n");
18943            printf("*** If you have already installed a sufficiently new version, this error\n");
18944            printf("*** probably means that the wrong copy of the xml2-config shell script is\n");
18945            printf("*** being found. The easiest way to fix this is to remove the old version\n");
18946            printf("*** of LIBXML, but you can also set the XML2_CONFIG environment to point to the\n");
18947            printf("*** correct copy of xml2-config. (In this case, you will have to\n");
18948            printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
18949            printf("*** so that the correct libraries are found at run-time))\n");
18950        }
18951      return 1;
18952    }
18953    
18954    _ACEOF
18955    rm -f conftest$ac_exeext
18956    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
18957      (eval $ac_link) 2>&5
18958      ac_status=$?
18959      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18960      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
18961      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18962      (eval $ac_try) 2>&5
18963      ac_status=$?
18964      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18965      (exit $ac_status); }; }; then
18966      :
18967    else
18968      echo "$as_me: program exited with status $ac_status" >&5
18969    echo "$as_me: failed program was:" >&5
18970    sed 's/^/| /' conftest.$ac_ext >&5
18971    
18972    ( exit $ac_status )
18973    no_xml=yes
18974    fi
18975    rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
18976    fi
18977           CPPFLAGS="$ac_save_CPPFLAGS"
18978           LIBS="$ac_save_LIBS"
18979         fi
18980      fi
18981    
18982      if test "x$no_xml" = x ; then
18983         echo "$as_me:$LINENO: result: yes (version $xml_config_major_version.$xml_config_minor_version.$xml_config_micro_version)" >&5
18984    echo "${ECHO_T}yes (version $xml_config_major_version.$xml_config_minor_version.$xml_config_micro_version)" >&6
18985         :
18986      else
18987         echo "$as_me:$LINENO: result: no" >&5
18988    echo "${ECHO_T}no" >&6
18989         if test "$XML2_CONFIG" = "no" ; then
18990           echo "*** The xml2-config script installed by LIBXML could not be found"
18991           echo "*** If libxml was installed in PREFIX, make sure PREFIX/bin is in"
18992           echo "*** your path, or set the XML2_CONFIG environment variable to the"
18993           echo "*** full path to xml2-config."
18994         else
18995           if test -f conf.xmltest ; then
18996            :
18997           else
18998              echo "*** Could not run libxml test program, checking why..."
18999              CPPFLAGS="$CPPFLAGS $XML_CPPFLAGS"
19000              LIBS="$LIBS $XML_LIBS"
19001              cat >conftest.$ac_ext <<_ACEOF
19002    #line $LINENO "configure"
19003    /* confdefs.h.  */
19004    _ACEOF
19005    cat confdefs.h >>conftest.$ac_ext
19006    cat >>conftest.$ac_ext <<_ACEOF
19007    /* end confdefs.h.  */
19008    
19009    #include <libxml/xmlversion.h>
19010    #include <stdio.h>
19011    
19012    int
19013    main ()
19014    {
19015     LIBXML_TEST_VERSION; return 0;
19016      ;
19017      return 0;
19018    }
19019    _ACEOF
19020    rm -f conftest.$ac_objext conftest$ac_exeext
19021    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
19022      (eval $ac_link) 2>&5
19023      ac_status=$?
19024      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19025      (exit $ac_status); } &&
19026             { ac_try='test -s conftest$ac_exeext'
19027      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19028      (eval $ac_try) 2>&5
19029      ac_status=$?
19030      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19031      (exit $ac_status); }; }; then
19032       echo "*** The test program compiled, but did not run. This usually means"
19033              echo "*** that the run-time linker is not finding LIBXML or finding the wrong"
19034              echo "*** version of LIBXML. If it is not finding LIBXML, you'll need to set your"
19035              echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
19036              echo "*** to the installed location  Also, make sure you have run ldconfig if that"
19037              echo "*** is required on your system"
19038              echo "***"
19039              echo "*** If you have an old version installed, it is best to remove it, although"
19040              echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
19041    else
19042      echo "$as_me: failed program was:" >&5
19043    sed 's/^/| /' conftest.$ac_ext >&5
19044    
19045     echo "*** The test program failed to compile or link. See the file config.log for the"
19046              echo "*** exact error that occured. This usually means LIBXML was incorrectly installed"
19047              echo "*** or that you have moved LIBXML since it was installed. In the latter case, you"
19048              echo "*** may want to edit the xml2-config script: $XML2_CONFIG"
19049    fi
19050    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
19051              CPPFLAGS="$ac_save_CPPFLAGS"
19052              LIBS="$ac_save_LIBS"
19053           fi
19054         fi
19055    
19056         XML_CPPFLAGS=""
19057         XML_LIBS=""
19058         :
19059      fi
19060    
19061    
19062      rm -f conf.xmltest
19063    
19064    
19065    # Check whether --enable-xml-query-bug-version-check or --disable-xml-query-bug-version-check was given.
19066    if test "${enable_xml_query_bug_version_check+set}" = set; then
19067      enableval="$enable_xml_query_bug_version_check"
19068    
19069    else
19070      disable_xml_query_bug_version_check="yes"
19071    fi;
19072    
19073    if  x"$disable_xml_query_bug_version_check" = x"" ; then
19074      disable_xml_query_bug_version_check="no"
19075    fi
19076    
19077    echo $disable_xml_query_bug_version_check;
19078    
19079    
19080    # Check whether --with-xml-prefix or --without-xml-prefix was given.
19081    if test "${with_xml_prefix+set}" = set; then
19082      withval="$with_xml_prefix"
19083      xml_config_prefix="$withval"
19084    else
19085      xml_config_prefix=""
19086    fi;
19087    
19088    # Check whether --with-xml-exec-prefix or --without-xml-exec-prefix was given.
19089    if test "${with_xml_exec_prefix+set}" = set; then
19090      withval="$with_xml_exec_prefix"
19091      xml_config_exec_prefix="$withval"
19092    else
19093      xml_config_exec_prefix=""
19094    fi;
19095    # Check whether --enable-xmltest or --disable-xmltest was given.
19096    if test "${enable_xmltest+set}" = set; then
19097      enableval="$enable_xmltest"
19098    
19099    else
19100      enable_xmltest=yes
19101    fi;
19102    
19103      if test x$xml_config_exec_prefix != x ; then
19104         xml_config_args="$xml_config_args"
19105         if test x${XML2_CONFIG+set} != xset ; then
19106            XML2_CONFIG=$xml_config_exec_prefix/bin/xml2-config
19107         fi
19108      fi
19109      if test x$xml_config_prefix != x ; then
19110         xml_config_args="$xml_config_args --prefix=$xml_config_prefix"
19111         if test x${XML2_CONFIG+set} != xset ; then
19112            XML2_CONFIG=$xml_config_prefix/bin/xml2-config
19113         fi
19114      fi
19115    
19116      # Extract the first word of "xml2-config", so it can be a program name with args.
19117    set dummy xml2-config; ac_word=$2
19118    echo "$as_me:$LINENO: checking for $ac_word" >&5
19119    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19120    if test "${ac_cv_path_XML2_CONFIG+set}" = set; then
19121      echo $ECHO_N "(cached) $ECHO_C" >&6
19122    else
19123      case $XML2_CONFIG in
19124      [\\/]* | ?:[\\/]*)
19125      ac_cv_path_XML2_CONFIG="$XML2_CONFIG" # Let the user override the test with a path.
19126      ;;
19127      *)
19128      as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19129    for as_dir in $PATH
19130    do
19131      IFS=$as_save_IFS
19132      test -z "$as_dir" && as_dir=.
19133      for ac_exec_ext in '' $ac_executable_extensions; do
19134      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19135        ac_cv_path_XML2_CONFIG="$as_dir/$ac_word$ac_exec_ext"
19136        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19137        break 2
19138      fi
19139    done
19140    done
19141    
19142      test -z "$ac_cv_path_XML2_CONFIG" && ac_cv_path_XML2_CONFIG="no"
19143      ;;
19144    esac
19145    fi
19146    XML2_CONFIG=$ac_cv_path_XML2_CONFIG
19147    
19148    if test -n "$XML2_CONFIG"; then
19149      echo "$as_me:$LINENO: result: $XML2_CONFIG" >&5
19150    echo "${ECHO_T}$XML2_CONFIG" >&6
19151    else
19152      echo "$as_me:$LINENO: result: no" >&5
19153    echo "${ECHO_T}no" >&6
19154    fi
19155    
19156    min_xml_version=2.6.17    min_xml_version=2.6.17
19157    echo "$as_me:$LINENO: checking for libxml - version >= $min_xml_version" >&5    echo "$as_me:$LINENO: checking for libxml - version >= $min_xml_version" >&5
19158  echo $ECHO_N "checking for libxml - version >= $min_xml_version... $ECHO_C" >&6  echo $ECHO_N "checking for libxml - version >= $min_xml_version... $ECHO_C" >&6
# Line 19059  rm -f conftest.$ac_objext conftest$ac_ex Line 19371  rm -f conftest.$ac_objext conftest$ac_ex
19371    rm -f conf.xmltest    rm -f conf.xmltest
19372    
19373    
19374    xml_config_major_version=`$XML2_CONFIG $xml_config_args --version | \
19375           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
19376    xml_config_minor_version=`$XML2_CONFIG $xml_config_args --version | \
19377           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
19378    xml_config_micro_version=`$XML2_CONFIG $xml_config_args --version | \
19379           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
19380    
19381    if test "$disable_xml_query_bug_version_check" != "yes"; then
19382      if test $xml_config_major_version -eq 2 && \
19383         test $xml_config_minor_version -eq 6 && \
19384         test $xml_config_micro_version -eq 19 ; then
19385    
19386        echo "*** libxml2-2.6.19 has GET query problem."
19387        echo "*** See following url for more detail information."
19388        echo "*** http://bugzilla.gnome.org/show_bug.cgi?id=1752525"
19389        echo "*** If you have fixed libxml2-2.6.19 library, "
19390        echo "*** try --disable-xml-query-bug-version-check configure option."
19391        { { echo "$as_me:$LINENO: error: libxml2-2.6.19 has GET query problem." >&5
19392    echo "$as_me: error: libxml2-2.6.19 has GET query problem." >&2;}
19393       { (exit 1); exit 1; }; }
19394      fi
19395    fi
19396    
19397    
19398    
19399  # Check whether --with-iodbc-prefix or --without-iodbc-prefix was given.  # Check whether --with-iodbc-prefix or --without-iodbc-prefix was given.
19400  if test "${with_iodbc_prefix+set}" = set; then  if test "${with_iodbc_prefix+set}" = set; then
# Line 19349  else Line 19685  else
19685  echo "${ECHO_T}no" >&6  echo "${ECHO_T}no" >&6
19686  fi  fi
19687    
19688    min_unixodbc_version=2.2.10    min_unixodbc_version=2.2.9
19689    require_major_version=`echo $min_unixodbc_version | \    require_major_version=`echo $min_unixodbc_version | \
19690          sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`          sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
19691    require_minor_version=`echo $min_unixodbc_version | \    require_minor_version=`echo $min_unixodbc_version | \

Legend:
Removed from v.1.6  
changed lines
  Added in v.1.7

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26